Subject: bug#50993: 29.0.50; Problems when dragging the mouse over the toolbar

From: Eli Zaretskii <[email-masked]>
Date: Tue, 12 Oct 2021 18:55:52 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Tue, 12 Oct 2021 16:25:08 +0200
> 
>  >> If nobody objects I'll push this to Emacs 28 in the next days.
>  >
>  > Rationale?  It means no mouse movement on the tool bar or tab bar will
>  > ever be reported as such.
> 
> When mouse tracking is enabled, yes.  As soon as people decide that they
> want to track the mouse from or to the tool or tab bar or within it -
> for example, to drag tabs from one position to another or to drag tool
> bar icons from some window displaying all possible icons to the tool bar
> or vice versa - we can make that check react to other special values
> than 'dragging' or 'dropping'.

Dragging tabs is already supported, I think?  Did you check that it
still works after that change?

Anyway, we should have a big FIXME comment near that code to document
what you say above.

And I'm not sure I understand: that single change with the
mouse-tracking condition is the only one needed to fix this bug's
original report?  Including when there's no tool bar and no tab bar,
only one of them, or both of them?